Bug 242930 - semanage crashes adding fcontext
Summary: semanage crashes adding fcontext
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
(Show other bugs)
Version: 7
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-06 14:55 UTC by Jared Brothers
Modified: 2008-01-21 15:42 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 15:42:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtraces of crashed semanage (6.63 KB, text/plain)
2007-06-23 13:55 UTC, Artur
no flags Details

Description Jared Brothers 2007-06-06 14:55:49 UTC
Description of problem:
The example of adding a file context to the policy taken from
the semanage man page segfaults.

Version-Release number of selected component (if applicable):
setools.x86_64 3.1-4.fc7 fedora 

How reproducible:

Steps to Reproduce:
1. sudo semanage fcontext -a -t httpd_sys_content_t "/web(/.*)?"
   Segmentation fault
2. echo $?
   139
  
Actual results:
Crash; policy unchanged.

Expected results:
Policy changed.

Additional info:

Comment 1 Artur 2007-06-23 13:55:10 UTC
Created attachment 157682 [details]
Backtraces of crashed semanage

This happens on x86_64 system, but not on 32 bit systems. It happens on every
try of modyfying policy (adding user, port, file context...).
I am attaching a file with backtraces, although I'm not sure if they are
useful. The interesting thing is, that there is always something resembling
null pointer (con, fcontext, handle...)
I'm using targeted policy.

Comment 2 Daniel Walsh 2007-06-26 10:41:48 UTC
Fixed in libsemanage-2.0.3-4.fc7


Note You need to log in before you can comment on or make changes to this bug.